Bug 815617 - PATCH: properly deal with crypt() returning NULL
PATCH: properly deal with crypt() returning NULL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 00:25 EDT by Paul Wouters
Modified: 2015-03-30 09:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: ppp-2.4.5-30.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 13:23:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch hanlding crypt() returning NULL (1.42 KB, patch)
2012-04-24 00:26 EDT, Paul Wouters
no flags Details | Diff
Fixed possible NULL pointer dereferencing (1.79 KB, patch)
2012-05-21 10:34 EDT, Michal Sekletar
pwouters: review+
thozza: review+
Details | Diff

  None (edit)
Description Paul Wouters 2012-04-24 00:25:04 EDT
crypt() may return NULL, for instance in fips mode when the hash algorithm is not allowed.

ppp uses strcmp() on the return value of crypt()


Patch attached
Comment 1 Paul Wouters 2012-04-24 00:26:45 EDT
Created attachment 579743 [details]
patch hanlding crypt() returning NULL
Comment 2 Michal Sekletar 2012-05-21 10:34:17 EDT
Created attachment 585827 [details]
Fixed possible NULL pointer dereferencing

Thank you for reporting this impairment. I've looked at your patch and second part looks fine to me but I have doubts about first part. I don't think it is equivalent in behavior to former approach. Assume the case when cryptpap flag is set, then your patch will cause not checking anything and returning UPAP_AUTHNAK. Please take a look at my fix, hopefully it's correct.
Comment 3 Fedora End Of Life 2013-07-04 02:20:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Tomáš Hozza 2013-07-04 07:35:14 EDT
Comment on attachment 585827 [details]
Fixed possible NULL pointer dereferencing

Patch looks good
Comment 5 Fedora Update System 2013-07-04 14:49:34 EDT
ppp-2.4.5-30.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ppp-2.4.5-30.fc19
Comment 6 Fedora Update System 2013-07-04 15:01:31 EDT
ppp-2.4.5-30.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ppp-2.4.5-30.fc18
Comment 7 Fedora Update System 2013-07-05 20:47:35 EDT
Package ppp-2.4.5-30.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ppp-2.4.5-30.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12374/ppp-2.4.5-30.fc18
then log in and leave karma (feedback).
Comment 8 Paul Wouters 2013-07-08 13:23:52 EDT
Fixes are in f18+

as FIPS mode is not something we support on fedora to begin with, and it is fixed in f18+, I'm closing this bug.
Comment 9 Fedora Update System 2013-07-22 21:08:03 EDT
ppp-2.4.5-30.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-07-22 21:11:21 EDT
ppp-2.4.5-30.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.